# Deepin File Manager|../common/deepin-file-manager.svg|

## Overview|../common/icon_overview.svg|

Deepin File Manager is developped by Deepin Technology Team. As the core component to manage files in deepin, it is a powerful, easy-to-use file manager with an elegant and simple interface. Full-featured, well-designed, effecient-improved, Deepin File Manager will be a good help in your daily life and work.

![1|overview](png/overview.png)

## Guide|../common/icon_guide.svg|

You can run, close and create a shortcut for Deepin File Manager by the following ways.

### Run Deepin File Manager

1. Click on ![Launcher](icon/launcher-24.svg) or move the mouse pointer to the upper left corner of the screen to enter Launcher interface.
2. Locate ![File Manager](icon/deepin-file-manager.svg) by scrolling mouse wheel or searching by "deepin file manager" in Launcher interface.
3. Right click on ![File Manager](icon/deepin-file-manager.svg), you can
 - Click on **Send to desktop** to create a desktop shortcut.
 - Click on **Send to dock** to fix the application on dock.
 - Click on **Add to startup** to add the application to startup, it will automatically run when the system starts up.

> ![tips](icon/tips.svg): In Control Center, you can set Deepin File Manger as the default file manager. Specific operations refer to [Default Application Settings](dman:///dde-control-center#Default Application Settings).

### Exit Deepin File Manager

- On Deepin File Manager interface, click on ![close](icon/close_icon.svg) to exit.
- Right click on ![File Manager](icon/deepin-file-manager.svg) on Dock, select **Close All** to exit Deepin File Manager.
- Click on ![Settings](icon/icon_menu.svg) and select **Exit** to exit Deepin File Manager.

## Main Interface|../common/icon_maininterface.svg|

On Deepin File Manager interface, users can execute many operations with the functional bars. It is designed to be easy-to-use, user-friendly and efficient improving.

![1|maininterface](png/main-interface.png)

<table class="block1">
    <caption></caption>
    <tbody>
        <tr>
            <td>1</td>
            <td>Navigation bar</td>
            <td>Displays user directory, mounted disks and bookmarks.</td>
        </tr>
        <tr>
            <td>2</td>
            <td>Address bar</td>
            <td>Input keywords to search or input directory to access corresponding contents. Use ![backward](icon/backward_normal.png) ![forward](icon/forward_normal.png) to go back or forward. Use breadcrumb bar to switch among parent directories and sub directories.</td>
        </tr>
        <tr>
            <td>3</td>
            <td>View</td>
            <td>User can switch view modes by clicking on ![icon view](icon/icon_view_normal.svg) and ![list view](icon/list_view_normal.svg).</td>
        </tr>
        <tr>
            <td>4</td>
            <td>Settings</td>
            <td>User can create new window, view manual and application information, and exit the application in ** Settings**.</td>
        </tr>
        <tr>
            <td>5</td>
            <td>Status</td>
            <td>Displays number of files or number of selected files, user can drag the slider to adjust the size of icons in the directory.</td>
        </tr>
    </tbody>
</table>

## Basic Functions|../common/icon_basicfuncton.svg|

Deepin File Manager is featured with the basic functions as a file manager, user can easily create, copy, rename or delete files/folders with it.

### New Document/Folder

#### New Folder

1. On Deepin File Manager interface, right click and select **New folder**.
2. Input a name for the new folder, and press ![enter](icon/Enter.svg), or click on blank area.

![0|newfolder](png/newfolder.png)

#### New Document

1. On Deepin File Manager interface, right click and select **New document**.
2. In the popup menu, select the document format you want to create.
3. Input a name for the new document, and press ![enter](icon/Enter.svg), or click on blank area.

![0|newdoc](png/newdoc.png)

### Rename File/Folder

1. Selected the file/folder, right click to select **Rename**.
2. Input a new name for the file/folder, and press ![enter](icon/Enter.svg), or click on blank area.

![0|rename](png/rename.png)

### Batch Rename

#### Replace Text

1. Selected several files/folders, right click to select **Rename**.
2. Input the content to be replaced in Find box, and input content to rename in Replace box.
3. Press ![enter](icon/Enter.svg), or click on blank area.

#### Add Text

1. Selected several files/folders, right click to select **Rename**.
2. Input the content to add in Add box, and select the location.
3. Press ![enter](icon/Enter.svg), or click on blank area.

#### Custom Text

1. Selected several files/folders, right click to select **Rename**.
2. Input the file name and SN.
3. Press ![enter](icon/Enter.svg), or click on blank area.

![1|batch_rename](png/batch_rename.png)

### Copy File/Folder

1. Select the files/folders to be copied, right click and select **Copy**.
2. Enter the directory to which the files/folders will be pasted, right click and select **Paste**.

![0|copy](png/copy.png) ![0|paste](png/paste.png)

> ![notes](icon/notes.svg)：A window will popup to show the progress as it starts copying. By clicking on ![close](icon/close_icon.svg) you can cancel the copying process. By hovering the mouse pointer to the round progress bar, it will switch to a pause button, you can pause the copying process by clicking on it.

### Compress File/Folder

1. Select the files/folders to be compressed, right click and select **Compress**.
2. Input a file name and select a file format for the to be compressed file.
3. Select a location to store the to be compressed file.
4. Select **Create** to generate the compressed file.

![0|compress](png/compress.png)

> ![tips](icon/tips.svg): In **Other Options**, user can choose to encrypt the compressed file and the file list, and also to split the to be compressed file into several parts to reduce individual file sizes of the compressed file.

### Delete File/Folder

1. Right click on file/folder to select **Delete**.
2. The file/folder will be moved to Trash.
  - To permanently delete, open Trash and right click on the file/folder to select **Delete** or right click on Trash to select **Empty**.
  - To restore deleted files/folders, open Trash and right click on the file/folder to select **Restore**, the files/folders will be moved to their original directory.

![0|delete](png/delete.png)

> ![notes](icon/notes.svg): File/folder in external device will be permanently deleted and can not be restored when you select **Delete**.

### Options to Open a File

Users can select to open a file with different applications.

1. On Deepin File Manager, right click on the file to open.
2. In the context menu, select **Open with**.
3. Click on **Select default program** to open the application list.
4. Select the application you want to open the file.
5. Click on **Choose** to open the file by this application
6. You can also check **Set as default** to set the application as the default one.

If the application you want to open the file is not in the list, you can:

1. Click on **Select other programs**.
2. Select an application you want to open.
3. Click on **Open** to open the file by this applicaiton.

> ![notes](icon/notes.svg)：It will use the default application to open the file when you double clicked on it. Users can right click on the file, select **Properties** and choose a default application in **Open with ** list. Users can also set the options in the [Default Applcation Settings](dman:///dde-control-center#Default Applcation Settings) of the Control Center to change the global default applications of the specified file types.

![0|open_with](png/open_with.png)

### Display Modes

Click on ![icon](icon/icon_view_normal.svg) or ![list](icon/list_view_normal.svg) on Deepin File Manager interface to switch between icon display and list display.

![0|display](png/display.png)

- Icon display: It will show the icon, name and thumbnail of the files.

![1|normal-view](png/normal-view.png)

- List display：It will show the icon, name, modified time, size and type of the files.

![1|list-view](png/list-view.png)

> ![tips](icon/tips.svg): Users can right click in blank area on Deepin File Manager interface, select **Display as** in the context menu, then choose between **Icon** and **List**.

### Sorting

1. Right click in the blank area on Deepin File Manager, select **Sort by**.
2. Choose among the sorting options, which include **Name**, **Time modified**, **Size** and **Type**.

![0|sort](png/sort.png)

> ![tips](icon/tips.svg)：Uses can click on the head of the columns in the list view to change the sort order.

### File/Folder Properties

Users can view the file/folder properties.

1. On Deepin File Manager interface, right click on a file/folder or more and select **Properties**.
2. The window of properties will pop up according to the file/ folder quantity:
  - File/ folder is less than 16, there will be a window of properties for each file/folder.
  - File/ folder is more than 16, there will be a general window of properties for all files/folders.
3. In the popup window, you can view the file/folder information.

![0|properties](png/properties.png)


> ![notes](icon/notes.svg)： Link path will be added in the properties of link file/folder.

## Common Operations|../common/icon_commoncoperat.svg|

Deepin File Manager is featured with many useful functions, such as breadcrumb bar, tabs, bookmarks, file sharing, accessing computers in LAN, opening file/folder in Terminal and so on. They are all designed to ease the commonly used operations.

### Switch Address Bar

There are three sections in address bar, namely the breadcrumb bar, search bar and directory bar.

By default, breadcrumb bar is displayed in the address bar. By clicking on the blank area in the address bar or click on ![search](icon/search-noamal.svg), it will switch to directory/search bar, which can be used to access directory and search for target items.

By inputting a directory/keywords in the directory/search bar and pressing ![enter](icon/Enter.svg), user can access the target directory/search for target items.

![0|addressbar1](png/addressbar1.png)

> ![tips](icon/tips.svg): When user accesses a sub directory, all the parent directories of the sub directory will become a breadcrumb in the address bar. By clicking on the breadcrumbs, user can easily switch among the sub directories and their parent directories.

### Search Items

Users can search or open target item in the address bar.

1. In the address bar of Deepin File Manager, select the location to search.
  - To search in a target directory, input the directory path and enter it.
  - To search all directories, input ![slash](icon/Slash.svg) and press ![enter](icon/Enter.svg) to enter root directory.
2. Switch to search and input keywords in the search bar.
3. Press ![enter](icon/Enter.svg), the search results will be shown in the window.

![1|search](png/search.png)

> ![tips](icon/tips.svg): You can also open a file in the address bar by its absolute path, such as /home/desktop/deepin-clone/a.png.

### Manage Tabs

Deepin File Manager supports multi-tab view.

1. On Deepin File Manager, right click on the folder to open in a new tab.
2. In the popup context menu, select **Open in new tab**.
3. When the window has multi-tabs, user can:
 - Click on + in tab bar to add a new tab.
 - Click on × on the right tab of the tab bar or middle-click to close an existing tab.

 > ![tips](icon/tips.svg): When the Deepin File Manager has only one tab, the tab bar is hidden, you can press ![Ctrl](icon/Ctrl.svg) + ![T](icon/T.svg) to add a new tab.

![1|new_tab](png/new_tab.png)

### Manage Bookmarks

#### Add Bookmarks

Users can add folders to bookmarks in Deepin File Manager.

1. On Deepin File Manager, right click on the folder to add as bookmark.
2. In the popup context menu, select **Add to bookmark**.

![0|add_bookmark](png/add_bookmark.png)

#### Move Bookmarks

Users can move bookmarks within the bookmark area. In Deepin File Manager, drag and drop the bookmark to the designated location.

#### Delete Bookmarks

Users can remove bookmarks by right clicking on the bookmark and select **Remove**, or drag and drop the bookmark out of the navigation bar to remove it.

### Computers in LAN

Users can visit computers in LAN to access files and folders.

1. On Deepin File Manager interface, click on ![network](icon/network_server.svg).
2. Double click on the computer icon to access.
3. Select to connect as **Anonymous ** or **Registered user**. For **Registered user**, user needs to input username and password to connect.
4. Click on **Connect** to establish connection.

![0|network](png/network.png)

### My shares

#### Share folders

Users can share folders in Deepin File Manager, if there are some folders shared, the share icon will show on the navigation bar, if not, the share icon will be hidden.

1. On Deepin File Manager interface, right click on a folder, select **Properties**.
2. In the popup window, click **Share manager**.
3. To share this folder, click **Share this folder **.
4. To change share options, input **Share name**, and select to choose **Permission** and **Anonymity **.
5. To set share password, click ![menu](icon/icon_menu.svg) and select **Set share password**.

![0|share](png/share.png)

#### Manage share

Users can manage shared folders if it has shared some folders in Deepin File Manager.

1. On Deepin File Manager interface, click ![share](icon/icon_share.svg) on the navigation bar.
2. All shared folders will show on the interface.
3. Users can cancel sharing by right click the folder and select **Cancel sharing**.

![1|viewshare](png/viewshare.png)

### Open in Terminal

1. On Deepin File Manager interface, enter the folder.
2. Click on blank area in the folder, and select **Open in terminal**.

![0|openinterminal](png/openinterminal.png)

### Create Link

Users can create links for items, and put the links in easy-to-reach folders (such as Desktop) to access the items faster.

1. On Deepin File Manager interface, select the item to create a link for.
2. Right click and select **Create link**.
3. In the popup window, select a folder to store the link.
4. Click on **Save** to finish creating the link.

![0|create_link](png/create_link.png)

### Send To

When there is an external device inserted, you can directly send file/folder to it.

1. Selected a file/folder.
2. Right click and select **Send to**.
3. Select the device you want to send to.
4. file/folder will be copied to the device.

![0|send_to](png/send_to.png)

>![tips](icon/tips.svg): By selecting **Send to desktop** for an item, user can create a link on desktop with one click.

## Disk Management|../common/icon_diskmanagement.svg|

On Deepin File Manager interface, you can mount/unmount, remove, format and decrypt disks.

### Display Disks

Mounted disks are displayed in the left navigation bar of Deepin File Manager. Including:
- Local disk, which includes all the partitions in local disk.
- External disk, which includes mobile hard disk, light disk and USB flash disk
- Mobile device, which includes mobile phone storage, storage card, SD card and so on.

### Unmount/Eject/Safely Remove Disks

1. In the navigation bar of Deepin File Manager, right click on the disk.
2. Select **Eject** to eject the removable disk/device, the disk will be removed from the disk list.
3. Select **Unmount** to unmount the disk. The disk will be still in the disk list.
4. Select **Safely Remove** to power off and remove the external device.

![3|eject](png/eject.png)
![3|safely_remove](png/safely_remove.png)

> ![tips](icon/tips.svg): Users can click on ![unmount](icon/unmount_normal.svg) in the navigation bar to eject the disks.

### Format Disks

1. In the navigation bar of Deepin File Manager, right click on the disk to format.
2. Select **Format**.
3. In the popup window, choose the type and volume label for the disk.
4. Click on **Format**.

> ![notes](icon/notes.svg): Fast format can be finished in a few seconds, but the data could be restored by file recovery tools. If you don't want these data to be restored, you can uncheck this option box and format the disk.

![0|format](png/format.png)

## Main Menu|../common/icon_optionsetting.svg|

Users can create new window, set share password, view manual and about information, exit the application.


### New Window

1. On Deepin File Manager interface, click on ![menu](icon/icon_menu.svg).
2. Select **New window** to open a new window.


### Settings

1. On Deepin File Manager interface, click on ![menu](icon/icon_menu.svg).
2. Select **Settings** to enter the detailed settings interface.
3. Modify the settings according to your needs:
 - In **Open behavior**, users can set whether to open folder in current window or new window, one click or double click to open it.
 - In **New window and tab**, users can set the default path to open in a new window/tab.
 - In **View**, users can set file icon size and default view.
 - In **Hidden files**, users can set whether to show the hidden file.
 - In **Preview**, users can set whether to show the preview image of the specified file types.
 - In **Mount**, users can set to auto mount or open after auto mount.
 - In **Dialog**, users can set whether to use the file chooser dialog of the Deepin File Manager or not.
 - Users can click on **Restore Defaults** to restore all settings.

![1|settings](png/settings.png)

### Help

1. On Deepin File Manager interface, click on ![menu](icon/icon_menu.svg).
2. Select **Help**.
3. View the manual.

![1|help](png/help.png)

### About

1. On Deepin File Manager interface, click on ![menu](icon/icon_menu.svg).
2. Select **About**.
3. View the version description.

![0|about](png/about.png)

### Exit

1. On Deepin File Manager interface, click on ![menu](icon/icon_menu.svg).
2. Click on **Exit** to exit.
